## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanMatchPatternDataAllocator Class Reference

`#include <XalanMatchPatternDataAllocator.hpp>`

Collaboration diagram for XalanMatchPatternDataAllocator:

[legend]
List of all members.

## Public Types

- typedef XalanMatchPatternData data_type
- typedef ArenaAllocator<data_type> ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Methods

- XalanMatchPatternDataAllocator (MemoryManagerType &theManager, size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size. More...
- ~XalanMatchPatternDataAllocator ()
- data_type* create (const ElemTemplate &theTemplate, data_type::size_type thePosition, const XalanDOMString &theTargetString, const XPath &theMatchPattern, const XalanDOMString &thePatternString, data_type::eMatchScore thePriority)
    Construct an instance. More...
- bool ownsObject (const data_type *theObject)
    Determine if an object is owned by the allocator... More...
- void reset ()
    Delete all objects from the allocator. More...
- size_type getBlockCount () const
    Get the number of ArenaBlocks currently allocated. More...
- size_type getBlockSize () const
    Get size of an ArenaBlock, that is, the number of objects in each block. More...

## Member Typedef Documentation

typedef ArenaAllocator< data_type > XalanMatchPatternDataAllocator::ArenaAllocatorType<data_type>

typedef XalanMatchPatternData XalanMatchPatternDataAllocator::data_type

typedef ArenaAllocatorType::size_type XalanMatchPatternDataAllocator::size_type

## Constructor & Destructor Documentation

XalanMatchPatternDataAllocator::XalanMatchPatternDataAllocator ( | MemoryManagerType & theManager,
| size_type theBlockCount )

  | Construct an instance that will allocate blocks of the specified size. Parameters:
  theBlockSize | The block size.

XalanMatchPatternDataAllocator::~XalanMatchPatternDataAllocator ( | )

## Member Function Documentation

data_type * XalanMatchPatternDataAllocator::create ( | const ElemTemplate & theTemplate,
| data_type::size_type thePosition,
| const XalanDOMString & theTargetString,
| const XPath & theMatchPattern,
| const XalanDOMString & thePatternString,
| data_type::eMatchScore thePriority )

  | Construct an instance. Parameters:
  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  atts | list of attributes for element
  lineNumber | line number in document
  columnNumber | column number in document
  theTemplate | The ElemTemplate node that contains the template for this pattern
  thePosition | The position in the stylesheet
  theTargetString | The target string for match pattern
  TheMatchPattern | The match pattern
  thePatternString | the pattern string
  thePriority | The priority for the match pattern.
Returns: A pointer to the new instance.

size_type XalanMatchPatternDataAllocator::getBlockCount ( | ) const

| Get the number of ArenaBlocks currently allocated. Returns: The number of blocks.

size_type XalanMatchPatternDataAllocator::getBlockSize ( | ) const

| Get size of an ArenaBlock, that is, the number of objects in each block. Returns: The size of the block

bool XalanMatchPatternDataAllocator::ownsObject ( | const data_type * theObject )

| Determine if an object is owned by the allocator...

void XalanMatchPatternDataAllocator::reset ( | )

| Delete all objects from the allocator.

The documentation for this class was generated from the following file:

- XalanMatchPatternDataAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.